# listDirectReports

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| GET | https://api.thomas.co/v1/companies/{tenantId}/managers/{individualId}/reports |

| Field | Value |
|---|---|
| operationId | listDirectReports |
| method | GET |
| server | https://api.thomas.co/v1 |
| path | /companies/{tenantId}/managers/{individualId}/reports |
| tags | `Manager Links` |
| summary | Get direct reports |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| tenantId | path | true | string | Tenant ID of the company |
| individualId | path | true | string | Individual ID of the manager |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 200 | List of direct reports | #/components/schemas/DirectReportResponseDto |
| 400 | Invalid UUID format for tenantId or individualId | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | URL tenant does not match authenticated tenant (IDENTITY_TENANT_MISMATCH) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed (uuid is expected)",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 403 example

```json
{
  "statusCode": 403,
  "message": "URL tenant does not match the authenticated tenant",
  "error": "IDENTITY_TENANT_MISMATCH"
}
```
